# PhasicFlow: equalOp< T > Struct Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

equalOp< T > Struct Template Reference

## Public Member Functions

| TypeInfoNV ("equal")
bool | operator() (const T &compVal, const T &val) const

## Detailed Description

### template<typename T>
struct pFlow::equalOp< T >

Definition at line 72 of file IncludeMask.hpp.

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "equal" |  | ) |

## operator()()

bool operator() | ( | const T & | compVal,
|  | const T & | val
| ) |  | const

inline

Definition at line 77 of file IncludeMask.hpp.

References pFlow::equal().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- utilities/postprocessPhasicFlow/IncludeMask.hpp